package jalview.testutils;

import org.hamcrest.Description;
import org.hamcrest.TypeSafeMatcher;

import jalview.datamodel.SequenceI;

public class SequenceStringMatcher extends TypeSafeMatcher<SequenceI>
{
  final String sequence;

  public SequenceStringMatcher(String sequence)
  {
    this.sequence = sequence;
  }

  @Override
  public boolean matchesSafely(SequenceI obj)
  {
    return obj.getSequenceAsString().equals(sequence);
  }

  @Override
  public void describeTo(Description description)
  {
    description.appendText("a sequence ").appendValue(sequence);
  }

  @Override
  public void describeMismatchSafely(SequenceI item, Description description)
  {
    description.appendText("was ").appendValue(item.getSequenceAsString());
  }
}
